<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Map Coordinates</title>
  <script>
	window.onload = init;
	function init() {
		var map = document.getElementById("map");
		map.onmousemove = showCoords;
		var mydiv = document.getElementById("mydiv");
		mydiv.onclick = addtext;
		var createList = document.getElementById("createList");
		createList.onclick = createButtonPopulatedList;
		
	}
	
	function showCoords(eventObj) {
		var coords = document.getElementById("coords");
		var x = eventObj.clientX;
		var y = eventObj.clientY;
		coords.innerHTML = "Map coordinates: " + x + ", " + y;
	}

	function addtext(){
		if (document.createTextNode){
			var textToAdd = " Div was clicked! ";
			var newNode = document.createTextNode(textToAdd);
			document.getElementById("mydiv").appendChild(newNode);
		} else {
			alert("Looks like you have an old browser!");
		}
	}
	function createButtonPopulatedList() {
		if (document.getElementById("value").value > 100) {
			alert("You tried to add more than 100 buttons, can't do that.");
			return;
		}
		var list = document.createElement("UL");
		for (var i = 1; i <= document.getElementById("value").value; i++) {
			var listNode = document.createElement("LI");
			list.appendChild(listNode);
			var button = document.createElement("BUTTON");
			listNode.appendChild(button);
			var buttonText = document.createTextNode("B" + i);
			button.appendChild(buttonText);
		}
		document.body.appendChild(list);
	}
  </script>
</head>
<body>
	<img id="map" src="data/map.jpg" width=360 height=360>
	<p id="coords">Move mouse over map to find coordinates...</p>
	<div id="mydiv" style="border:1px solid red">I am a DIV! Click me.</div><br/><br/>
	<span>Click to create a list of buttons <br/>Number of buttons to be added: </span><input type="number" id="value" /></div>
	<div><input type="button" id="createList" value="Create" />
</body>
</html>
